Introduction

Welcome to BBM's CipherPad 2009 (Beta)*

This application can be downloaded in the following URL: www.cipherpad.bbminfo.com

There are basically 3 steps to creating a document.

1. Open

2. Menu Items and Shortcuts

3. Type

4. Save

*Not for Commercial use

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Open CipherPad

1. Open CipherPad

To open CipherPad, click Start then All Programs then BBM then BBM’s CipherPad Beta 2009.

Once CipherPad is open, you should see a window similar to below.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


The Menu Items and Tool Bars

First Document

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Menu Items

The Menu Bar

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


File

File Menu.

To open a new document, click New under the File menu. A new document will open up in CipherPad. If you already have work on CipherPad and you click New, it will ask you if you'd like to save your work.

To open a saved Plain document, click Open -> Plain Doc a new box will pop up to help you browse for files on your computer. CipherPad can open any type of text document (*.txt, *.rtf.) although some formatting will not appear in CipherPad.

To open a saved Plain document, click Open -> Encrypt Doc a new box will pop up to help you browse for files on your computer. CipherPad can open an input dialogue box for enter a Private Key, if the Private Key is correct it opens the Encrypt document (*.enc).

To save a document on CipherPad, click Save -> Plain Doc a new box will pop up asking you choose a file name for your document.

To save a document on CipherPad, click Save -> Encrypt Doc a input dialogue box is opened for input a 8 digit Private Key then a new box will pop up asking you choose a file name for your document.

To print a document, simply select Print from the File menu.

Look at the document on screen before printing, simply select Print Preview from the File menu

Page Setup can be reached by clicking Page Setup... In Page Setup you can change the size of the paper, the orientation, the margins, and other printing formatting.

To exit CipherPad, click Exit, before CipherPad closes it will prompt you to save changes, click Yes, No, Cancel accordingly.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


Edit

Edit Menu.

The Edit menu has many options for editing your document. Certain options such as Undo, Redo, Cut, Copy, Paste, and Delete are pretty self explanatory, so we'll move onto the other option under the Edit menu.

If you click Select All, all the text on the document will select. Now that everything is selected you can format the whole page.

Find: Look up words or phrases in document.

Replace All: Replaces words or phrases with other words or phrases.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Format

Format Menu.

CipherPad's default font is Fixed sys with size 12 selected. Although you cannot change select font in CipherPad, you can always change the text of the whole document by clicking Format -> Font... By doing this, it will make the text easier for you to read.

To change the Background and Font color, simply select Background… & ForeColor… respectively.

To change the alignment of a document like Left, Right, Center, simply select Alignment from the Format Menu.

To change the font style like Bold, Italic, Underline or Regular, Simply select Style from the Format Menu.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Speech

Speech Menu.

The Speech option in the CipherPad can helps us to read the document in the Speaker. Simply select Speech Menu.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free help authoring environment


Translator

Translator Menu.

The translator converts the English to Tamil characters without change the pronunciation. Simply select Tamil from the Translator Menu.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easily create CHM Help documents


Insert

Insert Menu.

You can add the time/date into your document by clicking the Time/Date button from Insert Menu. This will make your entire CipherPad document look professionally done!

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Mail

Mail Menu.

You can send the mail via this CipherPad using your own Gmail account. Send the document as Plain or Encrypted, Simply select Plain Doc or Encrypt Doc from the Mail -> Gmail…

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Convert

Convert Menu.

To decrypt the received content in the Mail, simply select Decrypt from the Convert Menu. It Decrypts the Cipher text to Plain text then it display it’s in the main window.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


About

About Menu.

Under the About menu you can find other useful help topics, and you can also find out your version of CipherPad, Author detail and Shortcuts detail of CipherPad.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free Web Help generator


Standard Bar

The Standard Bar

  1. Create a New Document
  2. Open a existing document
  3. Save Document
  4. Print Document
  5. Print Preview
  6. Undo
  7. Redo
  8. Bold
  9. Italic
  10. Underline
  11. Left Alignment
  12. Center Alignment
  13. Right Alignment
  14. Background Color
  15. Fore Color

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


Shortcuts

Shortcuts

Create a New Document Ctrl + N

Open an existing Plain Document Ctrl + O

Open an existing encrypted Document Ctrl + Shift + O

Save a New Plain Document Ctrl + S

Save a New Encrypted Document Ctrl + Shift + S

Print a Document Ctrl + P

Exit a Document Alt + F

Undo Ctrl + Z

Redo Ctrl + Y

Cut Ctrl + X

Copy Ctrl + C

Paste Ctrl + V

Select All Ctrl + A

Find a word Ctrl + H

Replace a word Ctrl + F

Left Alignment Ctrl + L

Center Alignment Ctrl + E

Right Alignment Ctrl + R

Bold Ctrl + B

Italic Ctrl + I

Underline Ctrl + U

Regular Ctrl + R

Speak All F6

Speak Selected F7

Test Speech F8

English to Tamil Ctrl + T

Insert Date & Time F5

Mail a Plain Document (via Gmail) F9

Mail an Encrypted Document (via Gmail) F10

Decrypt a Document Ctrl + D

Help F1

About Author F2

About CipherPad 2009 F3

Shortcuts F4

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Type in some text

3. Type in some text

Click once inside the white area and then type. The basic and non-formatted text will look like the following:

Formatting can be done according to tastes and desires using the tools found and described in section 2.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Save a Document

4. Save

Documents should be saved regularly and this can be done easily following the following steps.

To save as a Encrypt Document

or

To save as a Plain Document

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Encrypted Document

To save as a Encrypt Document

  1. The first time saving a document, click on File, then down to Save > Encrypt Doc.

  2. It prompts Private Key dialogue box, for input a 8 digit Private key,

  3. A new window will open prompting where to save the document. By default, the computer will prompt you to save in the My Documents folder.

  4. Navigate to the desired folder, or if you want to save in a new folder, click on the New Folder icon

  5. A New Folder appears, name it, and then click on it to open it.

  6. You will want to give your document a logical name and then you can select the Save As Type.

  7. The type:

• Encrypted Format - This is a file format standardized by BBMINFO for creating encrypted formatted text files. An ENC is a filename extension for files consisting of Cipher text

  8. Click Save.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Plain Document

To save as a Plain Document

  1. The first time saving a document, click on File, then down to Save > Plain Doc

  2. A new window will open prompting where to save the document. By default, the computer will prompt you to save in the My Documents folder.

  3. You will want to give your document a logical name and then you can select the Save As Type.

  4. The Different types are:

• Rich Text Format - This is a file format standardized by Microsoft for creating formatted text files. An RTF file can include information such as text style, size, and color. RTF format is that it is a universal format, meaning it can be read by nearly all word processors.

• Text Document – a filename extension for files consisting of text with very little formatting.

  5. Click Save.

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


Author

author

B. Balamanigandan M.C.A.,

Student of Periyar University, Salem (IND).

Copyright © 2009, B.Balamanigandan

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor